Bug 1410590 - Custom partitioning: existing LUKS partition cannot be removed once it was unlocked
Summary: Custom partitioning: existing LUKS partition cannot be removed once it was un...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-05 20:11 UTC by Jan Pokorný [poki]
Modified: 2018-05-29 11:25 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:25:55 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1410595 0 unspecified CLOSED Anaconda shall note it's own version for after-install reference 2021-04-15 11:23:22 UTC

Internal Links: 1410595

Description Jan Pokorný [poki] 2017-01-05 20:11:16 UTC
When recently using Fedora-Server-netinst-x86_64-Rawhide-20170103.n.0.iso
for a new installation on a machine that already had encrypted LUKS
partition (guarding LVs, actually), I was curious enough to have a look
at the old, existing arrangement for reference.  For this, it was handy
I could enter the LUKS passphrase and unlock that.

However, perhaps because there is no "lock again/close" button, I wasn't
able to remove such once unlocked LUKS partition using standard "-"
button, and the only straightforward solution for me was an annoying
reboot, after which I started fresh installation from scratch.

Please, handle this use case better, either with silent de-unlocking or
by offering this option to the user explicitly.

Version of anaconda (as well as of other involved components) is
implied by the mentioned ISO (unfortunately there seems no mention
of anaconda version in anaconda-ks.cfg file nor in the log files kept
in /var/log/anaconda).

Comment 1 Jan Pokorný [poki] 2017-01-05 20:35:03 UTC
Found an exact version in /var/log/anaconda/{anaconda,journal}.log but
it's rather nontrivial if you don't know which version format to expect.

So, in this case it was anaconda 26.16-1.

Btw. I filed [bug 1410595] to get this version easier to find for cases
like this.

Comment 2 Fedora End Of Life 2017-02-28 10:53:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Fedora End Of Life 2018-05-03 08:12:24 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2018-05-29 11:25:55 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.